Forward Compatible Go Code

Joe Tsai

Gophers often use "Go 1 compatibility" as a magic phrase to indicate that all present Go1 code will always work on all future Go1 releases. However, people are surprised to find out that running with the next version of Go sometimes causes build and test failures. What's going on?

ABOUT

Codejab aims to curate great developer focused talks from conferences and meetups around the globe. Looking to hear great talks about a particular subject, or maybe you're just looking to catch up on a conference you missed out on - rather than searching Youtube and Vimeo for great content, Codejab tries to put it all in a single place.